Bug 803638 - Logging error in cli.log [E [mem-pool.c:520:mem_put] 0-mem-pool: mem-pool ptr is NULL]
Logging error in cli.log [E [mem-pool.c:520:mem_put] 0-mem-pool: mem-pool ptr...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-15 06:33 EDT by Vijaykumar Koppad
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:53:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-03-15 06:33:30 EDT
Description of problem:

[2012-03-15 15:19:13.218930] E [mem-pool.c:520:mem_put] 0-mem-pool: mem-pool ptr is NULL
[2012-03-15 15:26:43.866358] E [mem-pool.c:520:mem_put] 0-mem-pool: mem-pool ptr is NULL
[2012-03-15 15:34:31.275796] E [mem-pool.c:520:mem_put] 0-mem-pool: mem-pool ptr is NULL
[2012-03-15 15:41:51.344940] E [mem-pool.c:520:mem_put] 0-mem-pool: mem-pool ptr is NULL
[2012-03-15 15:52:45.278721] E [mem-pool.c:520:mem_put] 0-mem-pool: mem-pool ptr is NULL
[2012-03-15 15:54:40.807022] E [mem-pool.c:520:mem_put] 0-mem-pool: mem-pool ptr is NULL

These kind error messages are logged in cli.log

These message should say calling function also.
  
Version-Release number of selected component (if applicable):
[d05708d7976a8340ae7647fd26f38f22f1863b6a]

Steps to Reproduce:
1. Perform some cli operations.
Comment 1 Anand Avati 2012-03-18 03:03:03 EDT
CHANGE: http://review.gluster.com/2951 (mem-pool: more debug friendly logs by using gf_log_callingfn()) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Anand Avati 2012-04-02 05:44:53 EDT
CHANGE: http://review.gluster.com/3018 (cli: do the proper STACK_DESTORY of created frames) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Vijaykumar Koppad 2012-04-04 07:26:04 EDT
Still i get these errors in cli.log

[2012-03-29 05:16:06.827660] E [mem-pool.c:527:mem_put] (-->gluster(cli_cmd_process+0x1fb) [0x409160] (-->gluster(cli_cmd_volume_info_cbk+0x278) [0x409c8a] (-->gluster() [0x4098ff]))) 0-mem-pool: mem-pool ptr is NULL
[2012-03-29 08:52:31.027621] E [mem-pool.c:527:mem_put] (-->gluster(cli_cmd_process+0x1fb) [0x409160] (-->gluster(cli_cmd_volume_info_cbk+0x278) [0x409c8a] (-->gluster() [0x4098ff]))) 0-mem-pool: mem-pool ptr is NULL
Comment 4 Amar Tumballi 2012-04-09 00:03:17 EDT
I see that logs are of older log file (note March 29th), where as the patch got committed only on April 2nd. Marking it for ON_QA. Reopen only if you see these logs after you upgrade the versions. (ie, after April 2nd+)

Note You need to log in before you can comment on or make changes to this bug.